OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Private Attributes
GRFFileScanner Class Reference

Helper for scanning for files with GRF as extension. More...

Inheritance diagram for GRFFileScanner:

## Public Member Functions
bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)

## Static Public Member Functions
static uint | DoScan ()
| Do the scan for GRFs.

## Private Attributes
uint | next_update
| The next (realtime tick) we do update the screen.
uint | num_scanned
| The number of GRFs we have scanned.

## Additional Inherited Members
Private Member Functions inherited from FileScanner
virtual | ~FileScanner ()
| Destruct the proper one...
uint | Scan (const char *extension, Subdirectory sd, bool tars=true, bool recursive=true)
| Scan for files with the given extension in the given search path.
uint | Scan (const char *extension, const char *directory, bool recursive=true)
| Scan for files with the given extension in the given search path.
virtual bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)=0
| Add a file with the given filename.

## Detailed Description

Helper for scanning for files with GRF as extension.

Definition at line 626 of file newgrf_config.cpp.

## Member Function Documentation

static uint GRFFileScanner::DoScan | ( |  | ) |
| inline static

Do the scan for GRFs.

Definition at line 638 of file newgrf_config.cpp.

References _settings_client, ClientSettings::gui, GUISettings::last_newgrf_count, NEWGRF_DIR, num_scanned, and FileScanner::Scan().

Referenced by DoScanNewGRFFiles().

The documentation for this class was generated from the following file:

- src/newgrf_config.cpp